# Setup/install script for PySgrep

from distutils.core import setup, Extension

setup(
    name="pysgrep", version="1.0a",
    description="Structured search for Python",
    author="Dave Kuhlman",
    author_email="dkuhlman@rexx.com",
    url="http://www.rexx.com/~dkuhlman",
    ext_modules=[
        Extension("sgreplib", [
            "common.c",
            "index.c",
            "index_main.c",
            "optimize.c", 
            "parser.c",
            "preproc.c",
            "pymain.c",
            "sgreplib.c",
            "eval.c",
            "output.c",
            "pmatch.c",
            "pycapture.c",
            "sgml.c",
            "sysdeps.c"],
            define_macros=[('HAVE_CONFIG_H', None), ('DATADIR', "\"/usr/local/share\"")],
            include_dirs=["."]
            )
        ])


       
